Subject: bug#53126: 29.0.50; [PATCH] Lazy highlight/count when reading query-replace string, etc.

From: Juri Linkov <[email-masked]>
Date: Sun, 27 Mar 2022 10:46:01 +0300

> Lazy highlight is controlled by lots of variables.  These variables need
> to be set for the duration of the minibuffer session that reads the
> replacement strings.  If we move this to a separate function, we can't
> use 'let' anymore, so we basically need to reinvent the dynamic scoping
> feature of Elisp (i.e., save the current values, set the variables to
> new values, then restore the old values in some hook).  And an even ugly
> workaround would be needed to replace the necessary condition-case.  Or
> do I misunderstand you altogether?

Do you think a macro could help to make this function short again?

Then when you would want to add highlighting to the minibuffer
reading the TO part of replacement too or to other minibuffers,
it would be easy to just add a single line with that macro.